package com.dcsoft.system.mapper;

import java.util.List;
import com.dcsoft.system.domain.SysPeopleLeave;

/**
 * 离职管理Mapper接口
 *
 * @author nichun
 * @date 2023-09-09
 */
public interface SysPeopleLeaveMapper
{
    /**
     * 查询离职管理
     *
     * @param id 离职管理主键
     * @return 离职管理
     */
    public SysPeopleLeave selectSysPeopleLeaveById(Long id);

    /**
     * 查询离职管理列表
     *
     * @param sysPeopleLeave 离职管理
     * @return 离职管理集合
     */
    public List<SysPeopleLeave> selectSysPeopleLeaveList(SysPeopleLeave sysPeopleLeave);

    /**
     * 新增离职管理
     *
     * @param sysPeopleLeave 离职管理
     * @return 结果
     */
    public int insertSysPeopleLeave(SysPeopleLeave sysPeopleLeave);

    /**
     * 修改离职管理
     *
     * @param sysPeopleLeave 离职管理
     * @return 结果
     */
    public int updateSysPeopleLeave(SysPeopleLeave sysPeopleLeave);

    /**
     * 删除离职管理
     *
     * @param id 离职管理主键
     * @return 结果
     */
    public int deleteSysPeopleLeaveById(Long id);

    /**
     * 批量删除离职管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPeopleLeaveByIds(Long[] ids);

    void savePeopleLeaveList(List<SysPeopleLeave> list);

    List<SysPeopleLeave> queryPeopleLeaveList(List<SysPeopleLeave> list);

    void updatePeopleLeaveList(List<SysPeopleLeave> peopleLeaveList);
}
